SuperPaintParserInternal Namespace Reference

Internal: the structures of a SuperPaintParser. More...

## Classes

struct | Shape
| Internal: the shape of a SuperPaintParser. More...
struct | State
| Internal: the state of a SuperPaintParser. More...
class | SubDocument
| Internal: the subdocument of a SuperPaintParser. More...

## Functions

std::ostream & | operator<< (std::ostream &o, Shape const &shape)

## Detailed Description

Internal: the structures of a SuperPaintParser.

## Function Documentation

## operator<<()

std::ostream & SuperPaintParserInternal::operator<< | ( | std::ostream & | o,
|  | Shape const & | shape )